AIAP: Remove `tty` setting from libvirt container

The `tty` setting may be required in some instances dependent upon the
environment in which AIAP is deployed. However, these instances are much
less frequent than successful deployments when the setting is set to
false. Further investigation will be needed to determine when it is
appropriate to use this flag.

Change-Id: Ibbd44cbf0697a71f8081cd170dbdf5f7b4e4f106
changes/70/806770/2
Ian Howell 1 year ago
parent d78f3e5c11
commit e8d8b1e135
  1. 4
      tools/airship-in-a-pod/examples/base/airship-in-a-pod.yaml

@ -21,10 +21,6 @@ spec:
- name: libvirt
image: quay.io/airshipit/libvirt:aiap-v1
# Set to true for debugging
# 18June2021 : reverting #578 fix due to erratic behaviour
# for “setctty: operation not permitted" error, set tty:false
tty: true
securityContext:
privileged: true
#SYS_ADMIN required for systemd, need to work out reqs for libvirt

Loading…
Cancel
Save